Edgewall Software
Modify

Opened 4 years ago

Closed 3 weeks ago

Last modified 2 weeks ago

#11184 closed defect (cantfix)

IndexError: pop from empty list when trying to add attachment

Reported by: martinm.mail+trac@… Owned by:
Priority: high Milestone:
Component: rendering Version: 1.0.1
Severity: major Keywords: genshi
Cc: holger-juergs@…, franz.mayer@…, jargon@…, s.skutnik@…, dev@…, pintman@…
Release Notes:
API Changes:

Description

Description

When I click on "Attach File" button on any Wiki page, I encounter an error. This seems to be closely related to issue #7738, but the recommended solution, upgrading Genshi, did not work (see version used). While writing this ticket, I found out by accident this is caused by the language setting (see Workaround).

Error

IndexError: pop from empty list

Traceback

This is the complete Traceback (in German):

Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/trac/web/main.py", Zeile 497, in _dispatch_request
  dispatcher.dispatch(req)
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/trac/web/main.py", Zeile 233, in dispatch
  content_type)
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/trac/web/chrome.py", Zeile 1015, in render_template
  encoding='utf-8')
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 184, in render
  return encode(generator, method=method, encoding=encoding, out=out)
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 58, in encode
  for chunk in iterator:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 350, in __call__
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 829, in __call__
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 669, in __call__
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 774, in __call__
  for kind, data, pos in chain(stream, [(None, None, None)]):
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/output.py", Zeile 594, in __call__
  for ev in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 289, in _ensure
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 289, in _ensure
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/trac/web/chrome.py", Zeile 1152, in _strip_accesskeys
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 289, in _ensure
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/trac/web/chrome.py", Zeile 1141, in _generate
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 618, in _include
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/markup.py", Zeile 378, in _match
  ctxt, start=idx + 1, **vars):
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/markup.py", Zeile 378, in _match
  ctxt, start=idx + 1, **vars):
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/markup.py", Zeile 326, in _match
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 558, in _flatten
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 289, in _ensure
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/path.py", Zeile 588, in _generate
  subevent = next()
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 618, in _include
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/markup.py", Zeile 315, in _strip
  event = next()
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 558, in _flatten
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/core.py", Zeile 289, in _ensure
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/path.py", Zeile 588, in _generate
  subevent = next()
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 618, in _include
  for event in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/markup.py", Zeile 315, in _strip
  event = next()
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/template/base.py", Zeile 558, in _flatten
  for kind, data, pos in stream:
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/filters/i18n.py", Zeile 178, in _generate
  for event in msgbuf.translate(gettext(msgbuf.format())):
Datei "/var/www/trac.mueller-martin.net/python/lib/python2.7/site-packages/Genshi-0.8dev_r0-py2.7-linux-x86_64.egg/genshi/filters/i18n.py", Zeile 1051, in translate
  events = self.events[order].pop(0)

Note: Datei means File and Zeile means Line

System Information

Trac 1.0.1
Babel 0.9.6
Docutils 0.10
Genshi 0.8dev-r0 (with speedups)
GIT 1.7.12.4
MySQL server: "5.1.67-log", client: "5.1.67", thread-safe: 1
MySQLdb 1.2.4
Pygments 1.6
Python 2.7.3 (default, Apr 18 2013, 12:16:40) [GCC 4.6.3]
pytz 2013b
setuptools 0.6
jQuery 1.7.2

Plugins

trac-GitolitePlugin 0.3.1 /var/www/trac.mueller-martin.net/trac/plugins/trac_GitolitePlugin-0.3.1-py2.7.egg
TracAccountManager 0.4.3 /var/www/trac.mueller-martin.net/trac/plugins/TracAccountManager-0.4.3-py2.7.egg
TracDiscussion 0.8 /var/www/trac.mueller-martin.net/trac/plugins/TracDiscussion-0.8-py2.7.egg

Workaround

If I change the language setting from German to English, the right form is displayed instead of the error.

Attachments (0)

Change History (39)

comment:1 Changed 4 years ago by Jun Omae

Thanks for the report. Reproduced with Genshi 0.8dev, 0.7.0 and 0.6.1. However, works well with Genshi 0.6.0.

comment:2 Changed 4 years ago by Jun Omae

Component: attachmentrendering
Keywords: genshi added

I've filed in genshi:#566.

comment:3 Changed 4 years ago by martinm.mail+trac@…

Thanks for the feedback, also got it work using Genshi 0.6.0.

comment:4 Changed 4 years ago by Jun Omae

In [9d2153b9/jomae.git], improved check_catalog command. It would be able to detect this issue. It actually tries to translate msgid using Genshi and verifies msgstr.

$ PYTHONPATH=. ~/venv/genshi-0.6.1/bin/python setup.py check_catalog -l de
running check_catalog
checking catalog trac/locale/de/LC_MESSAGES/messages.po
trac/locale/de/LC_MESSAGES/messages.po:1856: cannot translate (IndexError: pop from empty list)
trac/locale/de/LC_MESSAGES/messages.po:3950: cannot translate (IndexError: pop from empty list)
trac/locale/de/LC_MESSAGES/messages.po:3955: cannot translate (IndexError: pop from empty list)
trac/locale/de/LC_MESSAGES/messages.po:4037: cannot translate (IndexError: pop from empty list)
trac/locale/de/LC_MESSAGES/messages.po:5866: cannot translate (IndexError: pop from empty list)

BTW, another issue in French catalog at line 4841 on 0.12-stable.

$ PYTHONPATH=. ~/venv/genshi-0.6.1/bin/python setup.py check_catalog -l fr
running check_catalog
checking catalog trac/locale/fr/LC_MESSAGES/messages.po
trac/locale/fr/LC_MESSAGES/messages.po:3861: cannot translate (IndexError: pop from empty list)
trac/locale/fr/LC_MESSAGES/messages.po:4841: missing open or closing brackets (TemplateSyntaxError: mismatched tag: line 2, column 33 (<string>, line 2))

comment:5 in reply to:  4 Changed 4 years ago by Christian Boos

Replying to jomae:

In [9d2153b9/jomae.git], improved check_catalog command. It would be able to detect this issue. It actually tries to translate msgid using Genshi and verifies msgstr.

Very good!

BTW, another issue in French catalog at line 4841 on 0.12-stable.

I've fixed this one in r11805.

comment:6 Changed 4 years ago by dthimm@…

Hi, i have the same Error with an actual set of Trac.


Oops … Trac hat einen internen Fehler festgestellt:

IndexError: pop from empty list

...
Datei "/usr/local/lib/python2.7/dist-packages/Genshi-0.7-py2.7-linux-armv5tel.egg/genshi/filters/i18n.py", Zeile 178, in _generate
  for event in msgbuf.translate(gettext(msgbuf.format())):
Datei "/usr/local/lib/python2.7/dist-packages/Genshi-0.7-py2.7-linux-armv5tel.egg/genshi/filters/i18n.py", Zeile 1051, in translate
  events = self.events[order].pop(0)

Systeminformationen:

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux i686; rv:22.0) Gecko/20100101 Firefox/22.0
Trac 	1.0.1
Babel 	0.9.6
Genshi 	0.7 (with speedups)
GIT 	1.7.10.4
pysqlite 	2.6.0
Python 	2.7.3 (default, Jan 2 2013, 22:35:13) [GCC 4.6.3]
setuptools 	0.6
SQLite 	3.7.13
jQuery	1.7.2
Aktivierte Plugins
trac-GitolitePlugin 	0.3.1 	/var/trac/tm3000/plugins/trac_GitolitePlugin-0.3.1-py2.7.egg
TracAccountManager 	0.3.2 	/var/trac/tm3000/plugins/TracAccountManager-0.3.2-py2.7.egg
TracRobotsTxt 	2.0 	/var/trac/tm3000/plugins/TracRobotsTxt-2.0-py2.7.egg

Best regards, dthimm[at]gmx.de

Last edited 4 years ago by Jun Omae (previous) (diff)

comment:7 Changed 4 years ago by gunnar_thielebein@…

I have the same error with Trac-1.0.1. This is a little annoying because when babel is installed trac starts from scratch with the localized environment (fetches locales from browser). Temporary workaround for me is to hard-configure en_US as default language:

default_language = en_US

How can I help to detect the issue?

System:

User Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:22.0) Gecko/20100101 Firefox/22.0
Trac 	1.0.1
Trac 	1.0.1
Babel 	0.9.6
Docutils 	0.10
FullBlog 	0.1.1-r12111
Genshi 	0.7 (with speedups)
mod_wsgi 	3.3 (WSGIProcessGroup trac-test WSGIApplicationGroup %{GLOBAL})
Pygments 	1.6
pysqlite 	2.6.0
Python 	2.7.3 (default, Apr 10 2013, 06:31:07) [GCC 4.6.3]
Python 	2.7.3 (default, Apr 10 2013, 06:31:07) [GCC 4.6.3]
setuptools 	0.6
setuptools 	0.6
SQLite 	3.7.9
jQuery	1.7.2
Enabled Plugins:
ListAttachments 	N/A 	/var/trac/projects/at/plugins/ListAttachments.pyc
TimeStamp 	N/A 	/var/trac/projects/at/plugins/TimeStamp.pyc
TracAccountManager 	0.5dev-r13290 	/var/trac/projects/at/plugins/TracAccountManager-0.5dev_r13290-py2.7.egg
TracFullBlogPlugin 	0.1.1-r12111 	/var/trac/projects/at/plugins/TracFullBlogPlugin-0.1.1_r12111-py2.7.egg
TracTags 	0.7dev-r13304 	/var/trac/projects/at/plugins/TracTags-0.7dev_r13304-py2.7.egg

comment:8 in reply to:  7 Changed 4 years ago by Jun Omae

Replying to gunnar_thielebein@…:

How can I help to detect the issue?

That is Genshi issue. See comment:1 and comment:2.

comment:9 Changed 4 years ago by anonymous

Hi jomae, sorry, after reading the ticket slowly i have understand what to do. After downgrading genshi version to 06 with "sudo easy_install Genshi==0.6" it is running normal.

Best Regards Dieter

comment:10 Changed 3 years ago by Jun Omae

Milestone: next-stable-1.0.x
Owner: set to Jun Omae
Severity: blockermajor
Status: newassigned

The genshi:#566 has been fixed. I'll push [9d2153b9/jomae.git] to 1.0-stable, improvement for check_catalog command, after Genshi 0.6.2 is released.

comment:11 Changed 3 years ago by holger-juergs@…

Cc: holger-juergs@… added

Sorry, but the problem still exists with genshi 0.7 and ist not yet fixed. Trying to attach a file i receive the very same error.

My environment:

 Trac 	1.0.1
 Babel 	0.9.6
 Genshi 	0.7 (without speedups)
 pysqlite 	2.6.0
 Python 	2.7.8 (default, Jun 30 2014, 16:08:48) [MSC v.1500 64 bit (AMD64)]  
 pytz 	2014.4
 setuptools 	0.6
 SQLite 	3.6.21
 jQuery	1.7.2

I'll try the downgrade next as a workarround… If I can assist in any way dont hesitate to ask me.

comment:12 Changed 3 years ago by holger-juergs@…

Genshi 0.6 works as recommended. Are you reopening genshi:#566, jomae? This ticket is closed but the fix has not solved the problem…

comment:13 Changed 3 years ago by Ryan J Ollos

The issue is fixed in Genshi, but 0.6.2 and 0.7.1 have not yet been released. There is no need to reopen the ticket.

comment:14 Changed 3 years ago by holger-juergs@…

OK. Thank you for clarification.

I was confused because the "current version" beeing automatically installed is 0.7 and the fix was against 0.6.2… i thought.

Obviously I was wrong.

comment:15 Changed 3 years ago by Ryan J Ollos

It looks like they are maintaining 0.6.x and 0.7.x release lines in parallel. Many of the fixes are being applied to 0.6-stable and then merged to 0.7-stable. That is true for this case, so that's why we'll eventually see the fix in both 0.6.2 and 0.7.1.

comment:16 Changed 3 years ago by Jun Omae

Milestone: next-stable-1.0.xnext-minor-0.12.x

I've rebased the branch in comment:5, jomae.git@t11184_0.12. Also, improve the branch in [3852419/jomae.git]. It detects whether genshi:#566 is fixed and checks translation if it is fixed. We could push it before Genshi 0.6.2/0.7.1 is released.

comment:17 Changed 2 years ago by Franz Mayer <franz.mayer@…>

Cc: franz.mayer@… added
Priority: normalhigh
Severity: majorblocker

I encounter the same problem and downgraded to Genshi 0.6 using easy_install -U Genshi==0.6.

IMHO this issue is an blocker; thus the fix should eihter be provided in current Genshi version or Genshi 0.6 should be the default installation version for Genshi (when using easy_install or such).

comment:18 Changed 2 years ago by jargon@…

Cc: jargon@… added

comment:19 Changed 2 years ago by Stefan Skutnik <s.skutnik@…>

Cc: s.skutnik@… added

comment:20 Changed 2 years ago by Magnus R. <dev@…>

Cc: dev@… added

comment:21 in reply to:  17 ; Changed 2 years ago by anonymous

Maybe Trac should require 'Genshi>=0.6,!=0.6.1,!=0.7.0?

comment:22 Changed 22 months ago by Jun Omae

Milestone: next-minor-0.12.xnext-stable-1.0.x
Severity: blockermajor

comment:23 Changed 21 months ago by Ryan J Ollos

Owner: Jun Omae deleted
Status: assignednew

comment:24 Changed 14 months ago by t.riedel@…

This issue is still not solved nor documented! The installation documentation lists

which I can confirm is wrong when installing trac 1.0.9 and Genshi 0.7 using speedups you get this error when you try to attach to ticket with "Default setting" in "Language" preferences and using a browser with German language. Changing to one of the English languages in the preferences is a work around.

Other combinations not tested (other languages, Genshi without speedups, …).

Is there a chance to get soon Genshi 0.7.1 fixing this issue?

comment:25 in reply to:  24 Changed 13 months ago by Ryan J Ollos

Replying to t.riedel@…:

Is there a chance to get soon Genshi 0.7.1 fixing this issue?

The Trac developers have no control over the release of Genshi. However, see recent activity on the trac-dev mailing list about switching to Jinja2.

comment:26 in reply to:  16 ; Changed 13 months ago by Ryan J Ollos

Milestone: next-stable-1.0.x1.0.11

Replying to Jun Omae:

I've rebased the branch in comment:5, jomae.git@t11184_0.12. Also, improve the branch in [3852419/jomae.git]. It detects whether genshi:#566 is fixed and checks translation if it is fixed. We could push it before Genshi 0.6.2/0.7.1 is released.

Seems like a good idea to put a fix in place. I'll test out the changes. Is it okay to schedule for milestone:1.0.11?

comment:27 in reply to:  26 Changed 13 months ago by Jun Omae

Replying to Ryan J Ollos:

Seems like a good idea to put a fix in place. I'll test out the changes. Is it okay to schedule for milestone:1.0.11?

Okay to me. Pushed log:jomae.git@t11184_1.0 for 1.0-stable.

comment:28 Changed 13 months ago by Ryan J Ollos

I tried all available languages on 1.0-stable and the issue is only seen with German and Magyar (Hungarian) languages.

Maybe I'm not understanding the changes though. The IndexError is still seen on the t11184_1.0 branch with those two languages. No errors are seen after recompiling and checking the catalogs:

$python setup.py check_catalog -l de
running check_catalog
checking catalog trac/locale/de/LC_MESSAGES/messages.po
$python setup.py check_catalog -l hu
running check_catalog
checking catalog trac/locale/hu/LC_MESSAGES/messages.po
Last edited 13 months ago by Ryan J Ollos (previous) (diff)

comment:29 Changed 13 months ago by Jun Omae

Thanks for the testing. I just updated the branch.

When genshi:#566 is not fixed, print Skip checking ... message:

$ python setup.py check_catalog -l el
running check_catalog
checking catalog trac/locale/el/LC_MESSAGES/messages.po
Skip checking genshi markup translation, see trac:#11184 and genshi:#566.

When po files have errors, check_catalog command exits with non-zero:

$ python setup.py check_catalog -l el
running check_catalog
checking catalog trac/locale/el/LC_MESSAGES/messages.po
trac/locale/el/LC_MESSAGES/messages.po:5407: missing open or closing brackets (TemplateSyntaxError: mismatched tag: line 2, column 88 (<string>, line 2))
error: found 1 error
$ echo $?
1

comment:30 Changed 13 months ago by Ryan J Ollos

Should the IndexError when clicking Add attachment be resolved by the changes? I still see the error for de and hu translations, even after recompiling and checking the catalogs.

$python setup.py compile_catalog -l de
running compile_catalog
compiling catalog 'trac/locale/de/LC_MESSAGES/messages.po' to 'trac/locale/de/LC_MESSAGES/messages.mo'
$python setup.py check_catalog -l de
running check_catalog
checking catalog trac/locale/de/LC_MESSAGES/messages.po
Skip checking genshi markup translation, see trac:#11184 and genshi:#566.
$python setup.py compile_catalog -l hu
running compile_catalog
compiling catalog 'trac/locale/hu/LC_MESSAGES/messages.po' to 'trac/locale/hu/LC_MESSAGES/messages.mo'
$python setup.py check_catalog -l hu
running check_catalog
checking catalog trac/locale/hu/LC_MESSAGES/messages.po
Skip checking genshi markup translation, see trac:#11184 and genshi:#566

Also, error is only reported for one catalog when running python setup.py check_catalog:

$python setup.py check_catalog
running check_catalog
checking catalog trac/locale/ca/LC_MESSAGES/messages.po
Skip checking genshi markup translation, see trac:#11184 and genshi:#566.
checking catalog trac/locale/cs/LC_MESSAGES/messages.po
checking catalog trac/locale/da/LC_MESSAGES/messages.po
checking catalog trac/locale/de/LC_MESSAGES/messages.po
checking catalog trac/locale/el/LC_MESSAGES/messages.po
checking catalog trac/locale/en_GB/LC_MESSAGES/messages.po
checking catalog trac/locale/en_US/LC_MESSAGES/messages.po
checking catalog trac/locale/eo/LC_MESSAGES/messages.po
checking catalog trac/locale/es/LC_MESSAGES/messages.po
checking catalog trac/locale/es_AR/LC_MESSAGES/messages.po
checking catalog trac/locale/es_MX/LC_MESSAGES/messages.po
checking catalog trac/locale/et/LC_MESSAGES/messages.po
checking catalog trac/locale/fa/LC_MESSAGES/messages.po
checking catalog trac/locale/fi/LC_MESSAGES/messages.po
checking catalog trac/locale/fr/LC_MESSAGES/messages.po
checking catalog trac/locale/gl/LC_MESSAGES/messages.po
checking catalog trac/locale/he/LC_MESSAGES/messages.po
checking catalog trac/locale/hu/LC_MESSAGES/messages.po
checking catalog trac/locale/hy/LC_MESSAGES/messages.po
checking catalog trac/locale/it/LC_MESSAGES/messages.po
checking catalog trac/locale/ja/LC_MESSAGES/messages.po
checking catalog trac/locale/ko/LC_MESSAGES/messages.po
checking catalog trac/locale/nb/LC_MESSAGES/messages.po
checking catalog trac/locale/nl/LC_MESSAGES/messages.po
checking catalog trac/locale/pl/LC_MESSAGES/messages.po
checking catalog trac/locale/pt/LC_MESSAGES/messages.po
checking catalog trac/locale/pt_BR/LC_MESSAGES/messages.po
checking catalog trac/locale/ro/LC_MESSAGES/messages.po
checking catalog trac/locale/ru/LC_MESSAGES/messages.po
checking catalog trac/locale/sl/LC_MESSAGES/messages.po
checking catalog trac/locale/sv/LC_MESSAGES/messages.po
checking catalog trac/locale/tr/LC_MESSAGES/messages.po
checking catalog trac/locale/uk/LC_MESSAGES/messages.po
checking catalog trac/locale/vi/LC_MESSAGES/messages.po
checking catalog trac/locale/zh_CN/LC_MESSAGES/messages.po
trac/locale/zh_CN/LC_MESSAGES/messages.po:6611: genshi markups are unbalanced [1:]
checking catalog trac/locale/zh_TW/LC_MESSAGES/messages.po
error: found 1 error

comment:31 Changed 10 months ago by Ryan J Ollos

Milestone: 1.0.111.0.12

comment:32 in reply to:  21 ; Changed 10 months ago by Ryan J Ollos

Replying to anonymous:

Maybe Trac should require 'Genshi>=0.6,!=0.6.1,!=0.7.0?

Something like that might be a good idea, however I wonder if it would cause problems for package maintainers. At the very least, we can add an entry to the TracFaq.

I haven't look closely at this in a while, but if the issue can't be worked-around in Trac maybe we could trap the IndexError and display a message on how to resolve the issue, suggesting the downgrade to Genshi 0.6.

comment:33 Changed 10 months ago by Ryan J Ollos

Issue should not be seen on Edgewall sites, which are now running Genshi 0.6. I tested uploading an attachment to this ticket after switching to German language and it worked correctly.

comment:34 in reply to:  32 Changed 10 months ago by Ryan J Ollos

Replying to Ryan J Ollos:

At the very least, we can add an entry to the TracFaq.

Documented in TracFaq@21.

comment:35 Changed 10 months ago by Ryan J Ollos

Milestone: 1.0.12next-stable-1.0.x

comment:36 Changed 5 months ago by Marco Bakera <pintman@…>

Cc: pintman@… added

comment:37 Changed 3 months ago by Ryan J Ollos

Milestone: next-stable-1.0.xnext-stable-1.2.x

Moved ticket assigned to next-stable-1.0.x since maintenance of 1.0.x is coming to a close. Please move the ticket back if it's critical to fix on 1.0.x.

comment:38 Changed 3 weeks ago by Christian Boos

Milestone: next-stable-1.2.x
Resolution: cantfix
Status: newclosed

I suggest we drop this topic now that the switch to Jinja2 is complete.

If some users still stumble upon this problem, they should take this as an incentive to upgrade to Trac ≥ 1.3.2.

comment:39 in reply to:  38 Changed 2 weeks ago by Ryan J Ollos

Replying to Christian Boos:

If some users still stumble upon this problem, they should take this as an incentive to upgrade to Trac ≥ 1.3.2.

For those that read only the last comment in a thread before asking for a solution, the issue can also be avoided by downgrading to Genshi 0.6.

Modify Ticket

Change Properties
Set your email in Preferences
Action
as closed The ticket will remain with no owner.
The resolution will be deleted. Next status will be 'reopened'.
to The owner will be changed from (none) to the specified user.

Add Comment


E-mail address and name can be saved in the Preferences .

 
Note: See TracTickets for help on using tickets.